#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-expected-failure
version:              0.12.1
visibility:           public
id:                   tasty-expected-failure-0.12.1-k2IP5d0SIkI1J1uNGMSXj
key:                  tasty-expected-failure-0.12.1-k2IP5d0SIkI1J1uNGMSXj
license:              MIT
copyright:            2015 Joachim Breitner
maintainer:           mail@joachim-breitner.de
author:               Joachim Breitner
homepage:             http://github.com/nomeata/tasty-expected-failure
synopsis:             Mark tasty tests as failure expected
description:
    With the function '\''Test.Tasty.ExpectedFailure.expectFail'\'' in the provided module
    "Test.Tasty.ExpectedFailure", you can mark that you expect test cases to fail,
    and not to pass.

    This can for example be used for test-driven development: Create the tests,
    mark them with '\''Test.Tasty.ExpectedFailure.expectFail'\'', and you can still push
    to the main branch, without your continuous integration branch failing.

    Once someone implements the feature or fixes the bug (maybe unknowingly), the
    test suite will tell him so, due to the now unexpectedly passing test, and he
    can remove the '\''Test.Tasty.ExpectedFailure.expectFail'\'' marker.

    The module also provides '\''Test.Tasty.ExpectedFailure.ignoreTest'\'' to avoid
    running a test. Both funtions are implemented via the more general
    '\''Test.Tasty.ExpectedFailure.wrapTest'\'', which is also provided.

category:             Testing
abi:                  94adf1b5cb9be9b676ab940257473011
exposed:              True
exposed-modules:      Test.Tasty.ExpectedFailure
import-dirs:
    /usr/lib/ghc-8.10.2/site-local/tasty-expected-failure-0.12.1

library-dirs:
    /usr/lib/ghc-8.10.2/site-local/tasty-expected-failure-0.12.1

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/tasty-expected-failure-0.12.1

hs-libraries:         HStasty-expected-failure-0.12.1-k2IP5d0SIkI1J1uNGMSXj
depends:
    base-4.14.1.0 tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe
    tasty-1.3.1-E6Lj8C67AFXLXUdDhGoGV
    unbounded-delays-0.1.1.0-2wQOlnFxCMc7LknN43zPN8

haddock-interfaces:
    /usr/share/doc/haskell-tasty-expected-failure/html/tasty-expected-failure.haddock

haddock-html:         /usr/share/doc/haskell-tasty-expected-failure/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

